> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Challenge actions list with summary

> Paginated action participations with summary for a challenge.



## OpenAPI

````yaml /openapi/analytics.json get /challenges/stats/actions
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /challenges/stats/actions:
    get:
      tags:
        - Challenge
      summary: Challenge actions list with summary
      description: Paginated action participations with summary for a challenge.
      operationId: getChallengeActionsList
      parameters:
        - in: query
          name: challengeId
          schema:
            type: string
          required: true
        - in: query
          name: skip
          schema:
            type: integer
            minimum: 0
            default: 0
          required: false
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
        - in: query
          name: sortField
          description: >-
            Field to sort by: username, actionKey, participatedAt, or
            criteriaMet
          schema:
            type: string
            enum:
              - username
              - actionKey
              - participatedAt
              - criteriaMet
            default: participatedAt
            description: >-
              Field to sort by: username, actionKey, participatedAt, or
              criteriaMet
        - in: query
          name: sortDirection
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - in: query
          name: search
          schema:
            type: string
        - in: query
          name: startDate
          schema:
            type: string
        - in: query
          name: endDate
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            uniqueId:
                              type: string
                            userId:
                              type: string
                            username:
                              type: string
                            email:
                              type: string
                            profilePictureUrl:
                              type:
                                - string
                                - 'null'
                            actionId:
                              type: string
                            actionTitle:
                              type: string
                            actionKey:
                              type: string
                            actionCategory:
                              type: string
                            actionAttributes:
                              type: object
                              additionalProperties: {}
                            participatedAt:
                              type: string
                            criteriaMet:
                              type: boolean
                            unmetCriteriaMessage:
                              type: string
                            output:
                              type: object
                              additionalProperties: {}
                          required:
                            - _id
                            - userId
                            - username
                            - email
                            - actionId
                            - actionTitle
                            - actionKey
                            - participatedAt
                            - criteriaMet
                      pagination:
                        type: object
                        properties:
                          total:
                            type: number
                          skip:
                            type: number
                          limit:
                            type: number
                        required:
                          - total
                          - skip
                          - limit
                    required:
                      - data
                      - pagination
                  summary:
                    type: object
                    properties:
                      totalActions:
                        type: number
                      totalSuccessful:
                        type: number
                      successRate:
                        type: number
                    required:
                      - totalActions
                      - totalSuccessful
                      - successRate
                required:
                  - data
                  - summary
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````